All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
CMYK_OR_YCCK_JPEG_TO_BGR
Color Model Conversion

These functions convert JPEG CMYK or YCCK color format images to either planar or packed BGR images for images which need no color profile conversion. More...

## Functions

NppStatus | nppiCMYKOrYCCKToBGR_JPEG_8u_P4P3R_Ctx (const Npp8u *pSrc[4], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned planar JPEG CMYK or YCCK color model image to 3 channel 8-bit unsigned planar BGR color model image without color profile conversion. More...
NppStatus | nppiCMYKOrYCCKToBGR_JPEG_8u_P4P3R (const Npp8u *pSrc[4], int nSrcStep, Npp8u *pDst[3], int nDstStep, NppiSize oSizeROI)
NppStatus | nppiCMYKOrYCCKToBGR_JPEG_8u_P4C3R_Ctx (const Npp8u *pSrc[4], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned planar JPEG CMYK or YCCK color model image to 3 channel 8-bit unsigned packed BGR color model image without color profile conversion. More...
NppStatus | nppiCMYKOrYCCKToBGR_JPEG_8u_P4C3R (const Npp8u *pSrc[4], int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

These functions convert JPEG CMYK or YCCK color format images to either planar or packed BGR images for images which need no color profile conversion.

## Function Documentation

NppStatus nppiCMYKOrYCCKToBGR_JPEG_8u_P4C3R | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCMYKOrYCCKToBGR_JPEG_8u_P4C3R_Ctx | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned planar JPEG CMYK or YCCK color model image to 3 channel 8-bit unsigned packed BGR color model image without color profile conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiCMYKOrYCCKToBGR_JPEG_8u_P4P3R | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiCMYKOrYCCKToBGR_JPEG_8u_P4P3R_Ctx | ( | const Npp8u * | pSrc[4],
|  | int | nSrcStep,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned planar JPEG CMYK or YCCK color model image to 3 channel 8-bit unsigned planar BGR color model image without color profile conversion.

Parameters

  pSrc | Source-Planar-Image Pointer Array.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Planar-Image Pointer Array.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2020 NVIDIA Corporation